io_uring_cqe_get_data(3)

NAME
io_uring_cqe_get_data - get user data for completion event

SYNOPSIS
#include <liburing.h>

void *io_uring_cqe_get_data(struct io_uring_cqe *cqe);

__u64 io_uring_cqe_get_data64(struct io_uring_cqe *cqe);

DESCRIPTION

The io_uring_cqe_get_data(3) function returns the user_data with the completion queue entry cqe as a data pointer. The io_uring_cqe_get_data64(3) function returns the user_data with the completion queue entry cqe as a 64-bit data value. After the caller has received a completion queue entry (CQE) with io_uring_wait_cqe(3), the application can call io_uring_cqe_get_data(3) or io_uring_cqe_get_data64(3) function to retrieve the user_data value. This requires that user_data has been set earlier with the function io_uring_sqe_set_data(3) or io_uring_sqe_set_data64(3).

RETURN VALUE
If the user_data value has been set before submitting the request, it will be returned. Otherwise, the return value is undefined.

SEE ALSO
io_uring_get_sqe(3), io_uring_sqe_set_data(3), io_uring_sqe_submit(3)